Bug 772534 - Please continue to package pdfedit for Fedora 16 and later!
Summary: Please continue to package pdfedit for Fedora 16 and later!
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfedit
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-09 05:38 UTC by Daniel Yek
Modified: 2013-01-12 15:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 00:34:44 UTC


Attachments (Terms of Use)
fix the build on f17 (2.74 KB, patch)
2012-12-09 15:38 UTC, Kai Engert (:kaie) (inactive account)
no flags Details | Diff

Description Daniel Yek 2012-01-09 05:38:38 UTC
Description of problem:

Please don't orphan pdfedit as it is so good as the pdf2text tool. 

In fact, pdfedit is the only decent pdf2text tool I can find. 
Find a table in pdf file and use pdfedit to save it as text 
and you will realize that it probably is the only tool 
that layouts the text table well. 
https://admin.fedoraproject.org/pkgdb/acls/name/pdfedit

Yes, the GUI is not good at all, 
but really, it is great as pdf2text -- 
the only good one available, so indispensable.


Version-Release number of selected component (if applicable):
Fedora 16.

How reproducible:
yum install pdfedit

  
Actual results:
Package not found.

Expected results:
Install pdfedit.

Comment 1 Fedora Admin XMLRPC Client 2012-02-17 09:41:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Kai Engert (:kaie) (inactive account) 2012-12-09 15:38:39 UTC
Created attachment 660306 [details]
fix the build on f17

I made a patch to fix the build on my local F17 system,
see attachment.

I made a couple of scratch builds, for the various Fedora versions.
Would you like to test them and confirm they work?

I'm quite busy, so I'll appreciate help in getting the patch checked in and official builds produced.

F16:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4770891

F17:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4770866

F18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4770879

F19:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4770896

Comment 3 Kai Engert (:kaie) (inactive account) 2012-12-09 16:08:23 UTC
Ryan, are you still waiting for commit privileges on the package?

Comment 4 Michael J Gruber 2012-12-09 16:31:41 UTC
Assigning to Ryan since he's the owner of the existing branches.

There is no F17 nor F18 branch so far.

Comment 5 Fedora Admin XMLRPC Client 2012-12-10 19:10:10 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Daniel Yek 2012-12-11 18:13:29 UTC
Installed:
http://kojipkgs.fedoraproject.org//work/tasks/880/4770880/pdfedit-0.4.5-5.fc18.x86_64.rpm
on Fedora 18 Beta and 
test-converted a PDF of 35,000 lines resulting text,
and it worked as expected!

Thank you for your effort!
Please push this into the repository!

Comment 7 Fedora Update System 2013-01-02 14:11:22 UTC
pdfedit-0.4.5-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pdfedit-0.4.5-6.fc18

Comment 8 Fedora Update System 2013-01-02 14:11:53 UTC
pdfedit-0.4.5-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pdfedit-0.4.5-6.fc17

Comment 9 Fedora Update System 2013-01-02 20:21:25 UTC
pdfedit-0.4.5-6.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2013-01-12 00:34:45 UTC
pdfedit-0.4.5-6.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-01-12 15:24:18 UTC
pdfedit-0.4.5-6.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.